/* Code based off the Sweep example code in Servo.h Arduino library */

#include <Servo.h>

// Define our motor motion parameters
#define ANGLE_MIN 0
#define ANGLE_MAX 180
#define MOVEMENT_INCREMENT 3

// Create our servo object
Servo masher_motor;

int pos = 0;

void setup() {
  Serial.begin(9600);
  masher_motor.attach(9);  // attaches the servo on pin 9 to the servo object
}

void loop() {
  // Hold all operation until a command is received via serial terminal
  while(!Serial.available());
  
  char c = Serial.read();

  // Move top jaw up or down, depending on the command received.
  // TODO: In future designs, serial commands can be replaced with a push button signal instead
  if (c == '1') {
    for (pos = ANGLE_MIN; pos <= ANGLE_MAX; pos += MOVEMENT_INCREMENT) {
      masher_motor.write(pos);         // tell servo to go to position in variable 'pos'
      delay(15);                       // waits 15ms for the servo to reach the position
    }
  } else if (c == '2') {
    for (pos = ANGLE_MAX; pos >= ANGLE_MIN; pos -= MOVEMENT_INCREMENT) {
      masher_motor.write(pos);
      delay(15);       
    }           
  }
}
